Bug 225795 - Merge Review: ghostscript
Merge Review: ghostscript
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:43 EST by Nobody's working on this, feel free to take it
Modified: 2013-02-08 12:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-08 12:40:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ghostscript 693629 None None None Never

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:43:37 EST
Fedora Merge Review: ghostscript

http://cvs.fedora.redhat.com/viewcvs/devel/ghostscript/
Initial Owner: twaugh@redhat.com
Comment 1 Peter Lemenkov 2007-04-10 14:12:45 EDT
BTW version 8.56 already released but we still got pretty old v8.15
Comment 2 Tim Waugh 2007-04-10 18:23:58 EDT
No, we are shipping ESP Ghostscript which is at 8.15.4.  The GPL Ghostscript
branch has several drivers missing compared to ESP Ghostscript.  The upstream
merge is not yet complete.
Comment 3 Nicola Soranzo 2007-08-09 08:39:43 EDT
FYI on the 1st of August GPL Ghostscript 8.60 has been released, first stable
release after the merge with ESP:

http://www.ghostscript.com/awki/GPL_Ghostscript_8.60
Comment 4 Patrice Dumas 2008-02-27 04:59:52 EST
In  /usr/share/ghostscript/8.61/Resource/CMap/ most (if not all) cmap files
annot be modified, for example 
usr/share/ghostscript/8.61/Resource/CMap/78-EUC-H

I am not sure about the code versus content for cmap files.
Comment 5 Gwyn Ciesla 2012-04-05 12:44:34 EDT
Fresh review:

Good:

- rpmlint checks return:

ghostscript.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghostscript.src: W: spelling-error %description -l en_US bitmapped -> bit mapped, bit-mapped, bitmap
The value of this tag appears to be misspelled. Please double-check.

Ignore these.

ghostscript.src: W: no-version-in-last-changelog
The latest changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

Trivial, fix.

ghostscript.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/share/ghostscript/9.05/Resource/Init/Fontmap
A file not in /etc or /var is marked as being a configuration file. Please put
your conf files in /etc or /var.

ghostscript.x86_64: W: conffile-without-noreplace-flag /usr/share/ghostscript/9.05/Resource/Init/Fontmap
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

ghostscript.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/share/ghostscript/9.05/Resource/Init/gs_init.ps
A file not in /etc or /var is marked as being a configuration file. Please put
your conf files in /etc or /var.

ghostscript.x86_64: W: conffile-without-noreplace-flag /usr/share/ghostscript/9.05/Resource/Init/gs_init.ps
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

ghostscript.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/share/ghostscript/9.05/Resource/Init/Fontmap.GS
A file not in /etc or /var is marked as being a configuration file. Please put
your conf files in /etc or /var.

ghostscript.x86_64: W: conffile-without-noreplace-flag /usr/share/ghostscript/9.05/Resource/Init/Fontmap.GS
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

ghostscript.x86_64: E: zero-length /etc/ghostscript/9.05/Fontmap.local
ghostscript.x86_64: E: zero-length /etc/ghostscript/9.05/CIDFnmap.local
ghostscript.x86_64: E: zero-length /etc/ghostscript/9.05/cidfmap.local
ghostscript.x86_64: W: no-manual-page-for-binary lprsetup.sh
Each executable in standard binary directories should have a man page.

ghostscript.x86_64: W: no-manual-page-for-binary ps2ps2
Each executable in standard binary directories should have a man page.

ghostscript.x86_64: W: no-manual-page-for-binary dumphint
Each executable in standard binary directories should have a man page.

ghostscript.x86_64: W: no-manual-page-for-binary pphs
Each executable in standard binary directories should have a man page.

ghostscript.x86_64: W: no-manual-page-for-binary unix-lpr.sh
Each executable in standard binary directories should have a man page.

ghostscript-cups.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghostscript-cups.x86_64: E: incorrect-fsf-address /usr/lib/cups/filter/gstopxl
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevcd8.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevlx32.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/opvp/gdevopvp.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevdj9.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevbjc_.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghostscript-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghostscript-devel.x86_64: W: no-manual-page-for-binary ijs-config
Each executable in standard binary directories should have a man page.

ghostscript-gtk.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghostscript-gtk.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghostscript-gtk.x86_64: W: no-manual-page-for-binary gsx
Each executable in standard binary directories should have a man page.

Most of these can probably be ignored, but give them a look, especially regarding man pages and documentation, and make adjustments there if possible.

ghostscript-doc.noarch: W: file-not-utf8 /usr/share/ghostscript/9.05/examples/cjk/gscjk_ak.ps
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

ghostscript-doc.noarch: W: file-not-utf8 /usr/share/ghostscript/9.05/examples/cjk/gscjk_ac.ps
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

ghostscript-doc.noarch: W: file-not-utf8 /usr/share/ghostscript/9.05/examples/cjk/gscjk_ag.ps
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

ghostscript-doc.noarch: W: file-not-utf8 /usr/share/ghostscript/9.05/examples/cjk/gscjk_aj.ps
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

Fix.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv3+ and Redistributable, no modification permitted ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

So it's just the rpmlint stuff from what I see, let we know if you want me to commit anything.
Comment 6 Gwyn Ciesla 2012-04-26 09:35:58 EDT
Ping?
Comment 7 Tim Waugh 2012-04-26 10:19:15 EDT
I will get to this but I'm afraid it won't be this week.  If you'd like to go ahead and commit any trivial fixes (such as non-utf-8 files), please do!
Comment 8 Gwyn Ciesla 2012-04-26 13:07:06 EDT
Ok, encoding and changelog version fixed.
Comment 9 Gwyn Ciesla 2013-02-07 11:43:51 EST
Ping?
Comment 10 Tim Waugh 2013-02-08 12:29:09 EST
So it's just these ones left I think.

ghostscript.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/share/ghostscript/9.05/Resource/Init/Fontmap
A file not in /etc or /var is marked as being a configuration file. Please put
your conf files in /etc or /var.

ghostscript.x86_64: W: conffile-without-noreplace-flag /usr/share/ghostscript/9.05/Resource/Init/Fontmap
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

-> There are overrides for this file in /etc.  A few people do modify this file so it ought to be marked as config; however, there may be incompatible changes in updates, so it ought not to be noreplace.

ghostscript.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/share/ghostscript/9.05/Resource/Init/gs_init.ps
A file not in /etc or /var is marked as being a configuration file. Please put
your conf files in /etc or /var.

-> It has to live there I think, and some people do modify it.

ghostscript.x86_64: W: conffile-without-noreplace-flag /usr/share/ghostscript/9.05/Resource/Init/gs_init.ps
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

-> likewise, there may be incompatible changes -- or even security fixes, so it really does need to replace the existing file.

ghostscript.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/share/ghostscript/9.05/Resource/Init/Fontmap.GS
A file not in /etc or /var is marked as being a configuration file. Please put
your conf files in /etc or /var.

-> It has to live there unfortunately.

ghostscript.x86_64: W: conffile-without-noreplace-flag /usr/share/ghostscript/9.05/Resource/Init/Fontmap.GS
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

-> See above: it's the same with this file.

ghostscript.x86_64: E: zero-length /etc/ghostscript/9.05/Fontmap.local
ghostscript.x86_64: E: zero-length /etc/ghostscript/9.05/CIDFnmap.local
ghostscript.x86_64: E: zero-length /etc/ghostscript/9.05/cidfmap.local

-> They are placeholders ready for overrides.

ghostscript.x86_64: W: no-manual-page-for-binary lprsetup.sh
Each executable in standard binary directories should have a man page.
ghostscript.x86_64: W: no-manual-page-for-binary ps2ps2
Each executable in standard binary directories should have a man page.
ghostscript.x86_64: W: no-manual-page-for-binary dumphint
Each executable in standard binary directories should have a man page.
ghostscript.x86_64: W: no-manual-page-for-binary pphs
Each executable in standard binary directories should have a man page.
ghostscript.x86_64: W: no-manual-page-for-binary unix-lpr.sh
Each executable in standard binary directories should have a man page.

-> No man pages exist for these.

ghostscript-cups.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

-> There is no documentation, even upstream.

ghostscript-cups.x86_64: E: incorrect-fsf-address /usr/lib/cups/filter/gstopxl
ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevcd8.c
ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevlx32.c
ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/opvp/gdevopvp.c
ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevdj9.c
ghostscript-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ghostscript-9.05/contrib/gdevbjc_.h

-> I'll let upstream know about these.

ghostscript-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

-> The documentation is in the doc sub-package.

ghostscript-devel.x86_64: W: no-manual-page-for-binary ijs-config
Each executable in standard binary directories should have a man page.

-> There is no man page to install.

ghostscript-gtk.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

-> This is correct.

ghostscript-gtk.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

-> The documentation is in the main package.

ghostscript-gtk.x86_64: W: no-manual-page-for-binary gsx
Each executable in standard binary directories should have a man page.

-> There is no manual page.
Comment 11 Gwyn Ciesla 2013-02-08 12:40:37 EST
Looks good, APPROVED.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.